<DOCTYPE html>
    <html lang="en">
      <head>
         <!--provides metadata for our webpage -->
        <meta charset="utf-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name = "viewport" content="width = device - width, initial-scale=1.0">
        <title>Houston Resale shop all</title>
        <!--Google font-->
        <link href="https://fonts.googleapis.com/css2?family=Rock+Salt&display=swap" rel="stylesheet">
        <!--bootstrap 5-->
        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-BmbxuPwQa2lc/FVzBcNJ7UAyJxM6wuqIj61tLrc4wSX0szH/Ev+nYRRuWlolflfl" crossorigin="anonymous">
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/js/bootstrap.bundle.min.js" integrity="sha384-b5kHyXgcpbZJO/tY9Ul7kGkf1S0CWuKcCD38l8YkeH8z8QjE0GmW1gYU5S9FOnJ0" crossorigin="anonymous"></script>
      
        <!--css/ja-->
        <link href="./css/post-items-styles.css" rel="stylesheet" type = "text/css">
        
      </head>
        <body>
          <div>
            <nav class="navbar navbar-expand-lg navbar-light">   
                <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNavDarkDropdown" aria-controls="navbarNavDarkDropdown" aria-expanded="false" aria-label="Toggle navigation">
                  <span class="navbar-toggler-icon"></span>
                </button>
                <div class="collapse navbar-collapse" id="navbarNavDarkDropdown">
                  <ul class="navbar-nav ms-auto me-5">
                    <li class="nav-item dropdown ">
                      <h3>
                        <a class="nav-link dropdown-toggle" href="#" id="navbarDarkDropdownMenuLink" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                          Menu
                        </a>
                        <ul class="dropdown-menu dropdown-menu-dark" aria-labelledby="navbarDarkDropdownMenuLink">
                          <li><a class="dropdown-item" href="all-items.html" >Shop</a></li>
                          <li><a id="purchases-link" class="dropdown-item" href="all-purchased.html" hidden >Total Purchases</a></li>
                          <li><a id ="users-link" class="dropdown-item" href="all-users.html" hidden>All Users</a></li>
                          <li><a class="dropdown-item" href="create-acct.html">Create Account</a></li>
                          <li><a class="dropdown-item" href="#">Contact us</a></li>
                          <li><a id="alter-user-link" class="dropdown-item" href="alter-user.html"hidden>Alter User</a></li>
                          <li><a id="login-link" class="dropdown-item" href="login.html">Login</a></li>
                          <li><a id="sign-off-link" class="dropdown-item" href="login.html" hidden>Sign Off</a></li>
                          <li><a class="dropdown-item" href="p1ResaleStore.html">Home</a></li>
                        </ul>
                        </ul>
                      </h3>
                    </li>
                  </ul>
                </div>
            </nav>
          </div>  
            <!-- Modal -->
            <div class="modal fade" id="staticBackdrop" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="staticBackdropLabel" aria-hidden="true">
              <div class="modal-dialog">
                <div class="modal-content">
                  <div class="modal-header">
                    <h5 class="modal-title" id="staticBackdropLabel">Items Altered</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                  </div>
                  <div id="alter-item-msg" style="text-align: center;" class="modal-body">
                    Item Added
                  </div>
                  <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                  </div>
                </div>
              </div>
            </div>
            <h3 id="directions">Please select option, fill out form and click submit </h3>
            <!--form-->
            <form id="post-form" class="container">
              <div class="form-check">
                <input class="form-check-input" type="radio" name="alter-options" id="add-item" value="option1" >
                <label class="form-check-label" for="add-item">
                  Add Item
                </label>
              </div>
              <div class="form-check">
                <input class="form-check-input" type="radio" name="alter-options" id="update-item" value="option2">
                <label class="form-check-label" for="update-item">
                  Update Item
                </label>
              </div>
              <div class="form-check">
                <input class="form-check-input" type="radio" name="alter-options" id="remove-item" value="option3">
                <label class="form-check-label" for="remove-item">
                  Remove Item
                </label>
              </div>

                <!--div  class="row mb-1"-->
                <div  hidden id="id"class="row mb-1">
                  <label for="item-id" class="col-sm-2 col-form-label">ID</label>
                  <div class="col-sm-10">
                    <input type="text" class="form-control" id="item-id">
                  </div>
                </div>
                <div  id="picture"class="row mb-1">
                  <label for="item-picture" class="col-sm-2 col-form-label">Picture</label>
                  <div class="col-sm-10">
                    <input type="text" class="form-control" id="item-picture">
                  </div>
                </div>
                <div  id="title"class="row mb-1">
                  <label for="item-title" class="col-sm-2 col-form-label">Title</label>
                  <div class="col-sm-10">
                    <input type="text" class="form-control" id="item-title">
                  </div>
                </div>
                <div  id="description" class="row mb-1">
                  <label for="item-description" class="col-sm-2 col-form-label">Description</label>
                  <div class="col-sm-10">
                    <textarea id="item-description" class="form-control" aria-label="With textarea"></textarea>
                    <!--input type="text" class="form-control" id="item-description"-->
                  </div>
                </div>
                <div  id="category" class="row mb-1">
                    <label for="item-category" class="col-sm-2 col-form-label">Category</label>
                    <div class="col-sm-10">
                      <input type="text" class="form-control" id="item-category">
                    </div>
                  </div>
                  <div  id="condition" class="row mb-1">
                    <label for="item-condition" class="col-sm-2 col-form-label">Condition</label>
                    <div class="col-sm-10">
                      <input type="text" class="form-control" id="item-condition">
                    </div>
                  </div>
                  <div  id="quantity" class="row mb-1">
                    <label for="item-quantity" class="col-sm-2 col-form-label">Quantity</label>
                    <div class="col-sm-10">
                      <input type="number" class="form-control" id="item-quantity">
                    </div>
                  </div>                
                  <div id="price" class="row mb-1">
                    <label for="item-price" class="col-sm-2 col-form-label">Price</label>
                    <div class="col-sm-10">
                      <input type="number" class="form-control" id="item-price">
                    </div>
                </div>
                <div class="row mb-3">
                    <div class="col-sm-10 offset-sm-2">
                    </div>
                  </div>
                <button data-bs-toggle="modal" data-bs-target="#staticBackdrop" style="min-width: 80px;" type="submit" class="btn btn-primary" id="add-item-submit">Add Item</button>
                <button style="min-width: 80px;" type="submit" class="btn btn-primary" id="update-item-submit" hidden>Update Item</button>
                <button style="min-width: 80px;" type="submit" class="btn btn-primary" id="remove-item-submit" hidden>Remove Item</button>
                <button style="min-width: 80px;" type="submit" class="btn btn-primary" id="retrieve-item-submit" hidden>Retrieve Item</button>
              </form>
              <script src="./js/nav-bar.js"></script>;
              <script src="./js/server-requests.js"></script>
              <script src="./js/alter-items.js"></script>
              
        </body>
    </html>  